org.fourthline.cling.support.avtransport.impl.state

## Class PausedPlay<T extends AVTransport>

- java.lang.Object
- - org.fourthline.cling.support.avtransport.impl.state.AbstractState<T>
  - - org.fourthline.cling.support.avtransport.impl.state.PausedPlay<T>

-     public abstract class PausedPlay<T extends AVTransport>
      extends AbstractState<T>

  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PausedPlay(T transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransportAction[]` | `getCurrentTransportActions()`
    `void` | `onEntry()`
    `abstract Class<? extends AbstractState<?>>` | `play(String speed)`
    `abstract Class<? extends AbstractState<?>>` | `setTransportURI(URI uri, String metaData)`
    `abstract Class<? extends AbstractState<?>>` | `stop()`

    - ### Methods inherited from class org.fourthline.cling.support.avtransport.impl.state.AbstractState

      `getTransport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PausedPlay

          public PausedPlay(T transport)

  - ### Method Detail

    - #### onEntry

          public void onEntry()

    - #### setTransportURI

          public abstract Class<? extends AbstractState<?>> setTransportURI(URI uri,
                                                          String metaData)

    - #### stop

          public abstract Class<? extends AbstractState<?>> stop()

    - #### play

          public abstract Class<? extends AbstractState<?>> play(String speed)

    - #### getCurrentTransportActions

          public TransportAction[] getCurrentTransportActions()

      Specified by:
        `getCurrentTransportActions` in class `AbstractState<T extends AVTransport>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.